Package com.independentsoft.office.vml

# Enum Class WrapType

java.lang.Object
java.lang.Enum<WrapType>
com.independentsoft.office.vml.WrapType

All Implemented Interfaces:
  `Serializable`, `Comparable<WrapType>`, `Constable`

public enum WrapType extends Enum<WrapType>
The Enum WrapType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NONE`
  `SQUARE`
  `THROUGH`
  `TIGHT`
  `TOP_AND_BOTTOM`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static WrapType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static WrapType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SQUARE

    public static final WrapType SQUARE

  - ### THROUGH

    public static final WrapType THROUGH

  - ### TIGHT

    public static final WrapType TIGHT

  - ### TOP_AND_BOTTOM

    public static final WrapType TOP_AND_BOTTOM

  - ### NONE

    public static final WrapType NONE

- ## Method Details

  - ### values

    public static WrapType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static WrapType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null